#!/usr/bin/env python
# -*- coding: utf-8 -*-

# This file is part of the
#   Scikit-NeuroMSI Project (https://github.com/renatoparedes/scikit-neuromsi).
# Copyright (c) 2021-2025, Renato Paredes; Cabral, Juan
# License: BSD 3-Clause
# Full Text:
#     https://github.com/renatoparedes/scikit-neuromsi/blob/main/LICENSE.txt


# =============================================================================
# DOCS
# =============================================================================

"""Implementation of NDCollection.

The ndcollection module implements the NDCollection class, which is a
collection of NDResult objects.

"""

# =============================================================================
# IMPORTS
# =============================================================================

from .collection import NDResultCollection

# =============================================================================
# ALL
# =============================================================================

__all__ = ["NDResultCollection"]
